--Random decimal number generator function 6 2 precision

CREATE OR REPLACE FUNCTION random_number_generator_6_2_precision(lowValue NUMERIC(6,2), highValue NUMERIC(6,2))
	RETURNS NUMERIC AS $$
		
	DECLARE
		
		randomNumber NUMERIC(6,2);
		
	BEGIN
	
	
	
		randomNumber := (lowValue + (highValue - lowValue + 1) * random());
		randomNumber := ROUND( randomNumber, 2 );
		RETURN randomNumber;
		

	END;
	$$ LANGUAGE plpgsql;
	