--String creation function

CREATE OR REPLACE FUNCTION string_creation(randomSize INT)
	RETURNS VARCHAR AS $$
		
	DECLARE
	
		textHolder VARCHAR := 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
		newString VARCHAR := '';
		place INT;
		
	BEGIN
		
		FOR i IN 1..randomSize 
		LOOP
			
			place := floor(1 + (52 - 1 + 1) * random());
            newString := newString || substr(textHolder, place, 1);
			
		END LOOP;
		
		RETURN newString;
		
	END;
	$$ LANGUAGE plpgsql;
	
	