--triggers for Customer table updates and deletes


CREATE OR REPLACE FUNCTION customer_update_function()
RETURNS trigger AS $$
BEGIN
	
	UPDATE District SET D_W_ID = NEW.C_W_ID WHERE D_W_ID = OLD.C_W_ID;
	
	RETURN NEW;
	
	UPDATE District SET D_ID = NEW.C_D_ID WHERE D_ID = OLD.C_D_ID;
		
	RETURN NEW;
	

END;
$$ LANGUAGE plpgsql;


CREATE TRIGGER customer_update_trigger
AFTER UPDATE ON customer
FOR EACH ROW
EXECUTE PROCEDURE customer_update_function();


CREATE OR REPLACE FUNCTION customer_delete_function()
RETURNS trigger AS $$
BEGIN
	
	DELETE FROM District WHERE D_W_ID = OLD.C_W_ID;
		
	RETURN OLD;
	
	
	

END;
$$ LANGUAGE plpgsql;


CREATE TRIGGER customer_delete_trigger
AFTER DELETE ON customer
FOR EACH ROW
EXECUTE PROCEDURE customer_delete_function();
