--triggers for OrderDetails table updates and deletes


CREATE OR REPLACE FUNCTION orderdetails_update_function()
RETURNS trigger AS $$
BEGIN
	
	UPDATE Customer SET C_W_ID = NEW.OD_W_ID WHERE C_W_ID = OLD.OD_W_ID;
	
	RETURN NEW;
	
	
	
	UPDATE Customer SET C_D_ID = NEW.OD_D_ID WHERE C_D_ID = OLD.OD_D_ID;
	
	RETURN NEW;
	
	
	
	UPDATE Customer SET C_ID = NEW.OD_C_ID WHERE C_ID = OLD.OD_C_ID;
	
	RETURN NEW;
	

END;
$$ LANGUAGE plpgsql;


CREATE TRIGGER orderdetails_update_trigger
AFTER UPDATE ON orderdetails
FOR EACH ROW
EXECUTE PROCEDURE orderdetails_update_function();


CREATE OR REPLACE FUNCTION orderdetails_delete_function()
RETURNS trigger AS $$
BEGIN
	
	DELETE FROM Customer WHERE C_W_ID = OLD.OD_W_ID;
		
	RETURN OLD;
	
	
	
END;
$$ LANGUAGE plpgsql;


CREATE TRIGGER orderdetails_delete_trigger
AFTER DELETE ON orderdetails
FOR EACH ROW
EXECUTE PROCEDURE orderdetails_delete_function();
