--String number creation function

CREATE OR REPLACE FUNCTION string_number_creation(neededSize INT)
	RETURNS VARCHAR AS $$
		
	DECLARE
	
		numHolder VARCHAR := '0123456789';
		newNum VARCHAR := '';
		currentPlace INT;
		
	BEGIN
		
		FOR i IN 1..neededSize 
		LOOP
			
			currentPlace := floor(1 + (10 - 1 + 1) * random());
            newNum := newNum || substr(numHolder, currentPlace, 1);
			
		END LOOP;
		
		RETURN newNum;
		
	END;
	$$ LANGUAGE plpgsql;
	
	